Bug 995565 - SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, write access on the chr_file /dev/ptmx.
SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, wri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5d61d5c78758ce103bb310b31c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 13:51 EDT by blitzter
Modified: 2013-08-21 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description blitzter 2013-08-09 13:51:34 EDT
Description of problem:
SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, write access on the chr_file /dev/ptmx.

*****  Plugin leaks (86.2 confidence) suggests  ******************************

If you want to ignore plugin-config trying to read write access the ptmx chr_file, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/lib64/nspluginwrapper/plugin-config /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests  ***************************

If you believe that plugin-config should be allowed read write access on the ptmx chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_config_t:
                              s0-s0:c0.c1023
Target Context                system_u:object_r:ptmx_t:s0
Target Objects                /dev/ptmx [ chr_file ]
Source                        plugin-config
Source Path                   /usr/lib64/nspluginwrapper/plugin-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.4.4-17.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-08-09 20:16:26 IST
Last Seen                     2013-08-09 20:20:23 IST
Local ID                      63b0a29a-964b-49b2-bf97-38bfd573a466

Raw Audit Messages
type=AVC msg=audit(1376059823.928:443): avc:  denied  { read write } for  pid=1508 comm="plugin-config" path="/dev/ptmx" dev="devtmpfs" ino=6496 scontext=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1376059823.928:443): arch=x86_64 syscall=execve success=yes exit=0 a0=1755fb0 a1=1755ef0 a2=1755630 a3=0 items=0 ppid=1506 pid=1508 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=plugin-config exe=/usr/lib64/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:mozilla_plugin_config_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-config,mozilla_plugin_config_t,ptmx_t,chr_file,read,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport

Potential duplicate: bug 904783
Comment 1 davide 2013-08-16 11:17:37 EDT
Description of problem:
Installando xampp o forse adobe flash player ,ma credo piu' per xampp

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.6-200.fc19.i686
type:           libreport
Comment 2 Daniel Walsh 2013-08-16 13:41:06 EDT
10555f43f999e3747264e231f3687e8a7503dba2 fixes this in git.
Comment 3 Fedora Update System 2013-08-20 04:27:16 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 4 Fedora Update System 2013-08-20 20:16:14 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-21 20:54:11 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.